Image 01
profile-image

amair

Andreas Mair
Google Music for Amarok

Amarok 2.x Scripts 43 comments

Score 58.6%
Jan 11 2017
Hi,

here it works with v1.2.1, too.

Best regards,
Andreas - Feb 11 2013
Hi,

I had that problem when I updated to v1.2, too. I've looked into the ListSongs.json file and found some HTML code at the beginning or the end (sorry, can't remember).

Best regards,
Andreas - Feb 10 2013
Hi,

yes, giving the script executable permission was enough to get it working.

BTW: do you know the Unofficial Google Music API (https://github.com/simon-weber/Unofficial-Google-Music-API)?
I know it's not Javascript but maybe it helps.

Best regards,
Andreas - Jan 29 2013
Hi,

it didn't work for me, too.
I had make the script executable. Run "chmod +x google_music.sh" in the script's folder.

I also think that the auth() function in that script needs some changes to make it more robust and fix script errors. See that patch:
--- google_music.sh.orig 2013-01-29 08:56:06.000000000 +0100
+++ google_music.sh 2013-01-29 08:56:03.000000000 +0100
@@ -7,14 +7,15 @@
email=$1
password=$2
authResponse=$(curl "$clientLoginUrl" --data-urlencode Email="$email" --data-urlencode Passwd="$password" -d accountType=GOOGLE -d service="$service")
- authToken="${authResponse##*=}"
- SID="${authResponse:4:288}"
- LID="${authResponse:298:288}"
- return $SID
+ authToken="$(echo "$authResponse" | egrep "^Auth=" | cut -d= -f2-)"
+ SID="$(echo "$authResponse" | egrep "^SID=" | cut -d= -f2-)"
+ LID="$(echo "$authResponse" | egrep "^LID=" | cut -d= -f2-)"
+ [ "$SID" ] || return 1
+ return 0
}

function listSongs(){
- curl --header "Authorization: GoogleLogin auth=${authToken}" https://www.googleapis.com/sj/v1beta1/tracks > listSongs.json
+ curl --header "Authorization: GoogleLogin auth=${authToken}" https://www.googleapis.com/sj/v1beta1/tracks > ListSongs.json
}

function getCookie() {
@@ -55,10 +56,10 @@
auth $email $password
return_val=$?
echo $return_val>return.txt
- if [ "$?" == "" ]; then
+ if [ $return_val -ne 0 ]; then
echo "offline"
echo $return_val>return.txt
- elif [ "$?" != "" ]; then
+ else
listSongs
getCookie $email $password
fi


Best regards,
Andreas - Jan 29 2013
GX Mail Notify

Plasma 4 Widgets 124 comments

Score 65.6%
May 06 2010
Hi!

I'm waiting for updates too, especially for popup notifications.

Hopefully you'll find some time for GX Mail Notify ;)

Best regards,
Andreas - Sep 08 2010
QtCurve (KDE4, KDE3, & Gtk2 Theme)

QtCurve 2890 comments

Score 82.9%
Jan 16 2013
Hi,

please forget this request. The option I was requesting was "Show only symbols", which is already present. I though that "Circular" actives the border, which is not true.

Best regards,
Andreas - Jul 06 2010
Hi,

would it be possible to for the next release to let one use the "Sunken background" option for the window buttons *without* forcing the "Circular" option?

Best regards,
Andreas - Jul 05 2010
Hi,

I'm using qtcurve 1.5.0 window decoration on KDE 4.4.4 (Gentoo) but the title bar is not always painted in the correct color.
I have many windows that draw the active window title in the color used for inactive windows. The title's text color is drawn correct. Also the window buttons background is filled with the correct color.

This is not the case for all windows, there are some that are colored correctly.

Any idea what I'm doing wrong?

Best regards,
Andreas - Jul 05 2010
ImapQuickCheck

Email 42 comments

Score 58.0%
Jan 20 2010
Hi,

I've sent you patches and translations but haven't received feedback yet.

Did you get the emails?

Regards,
Andreas - Sep 24 2009
Hi,

today a mail arrived that caused ImapQuickCheck to report a fetch error and to not display any unread messages for that account.
It seems to be related to a mail having that subject in the email headers:
Subject: =?UTF-8?Q?Alles_=C3=BCber_Windows_7_|_Kostenlos:_65_Fotoabz=C3?=
=?UTF-8?Q?=BCge_|_Selbstmangement:_Zeitplanung_|_Kostenlos_bei_Google_W?=
=?UTF-8?Q?erbung_schalten_(im_Wert_von_30_EUR)?=

I've made some tests and found another problematic header (only "Alles" is displayed as subject):
Subject: Alles
=?iso-8859-1?q?=FCber_Windows_7_=7C_Kostenlos=3A_65_Fotoabz=FCge_=7C?=
=?iso-8859-1?q?_Selbstmangement=3A_Zeitplanung_=7C_Kostenlos_bei_Google?=
=?iso-8859-1?q?_Werbung_schalten?= (im Wert von 30 EUR)

Looks like ImapQuickCheck doesn't like multiline subjects.

Regards,
Andreas - Sep 11 2009
Hi,

thanks for your comments!
I don't want a mail-notification clone, ImapQuickCheck is almost fine for me.

2) OK, I see. I've now modified your code and added support for kdialog passive popups. If you are interested I'll make it configurable and provide a patch.

3) You're right. I think I will add this while also working on #2.

4) Ah, didn't know of the doubleclick feature.

5) That's right, and I can live without it.

6) It's a kind of "nice to have".

Are you interested in a German language translation?
Do you accept patches if I will finish #2 and #3?

Regards,
Andreas - Sep 11 2009
Hi,

now that I got it running it looks very promising and might eventually replace mail-notification :)

I have some feature requests:
1) The "Edit selected account" button has no colors and I first thought it's disabled. Maybe this can be changed.

2) Beautify the "New Mail" popup. I think it should be more compact, e.g. display label and value in a single row (the same as it's in the systray icon). Maybe you want to take a look at the first screenshot at http://www.nongnu.org/mailnotify/.

3) Preview all new mails in the "New Mail" popup. It seems that only the most recent one is shown.

4) Definable actions on mouseclicks at the systray icon, like run mail-client, check for new mail...

5) Rearrange the systray popupmenu.
5a) I think that "Preferences", "Acounts" and "Info" are not that important after anything is set up and should be moved to a submenu.
5b) Instead of "Unread Mail" there should be a submenu for each account (or a submenu for "Accounts"). And for each account there should be some actions, like what's now the "Unread Mail" submenu.

6) Move some global settings into the accounts settings. For example I have accounts I need to query often and I accounts I can't query often (limited by provider). And then there are accounts I'm using through WebMail and others I access through a mail client, so it would be very useful (at least for me ;)) to have a different mail client setting for each account (running the mail client should then move to the submenu as said in 5b.

7) More protocols POP3, local mbox...

OK, that's quite a lot, but maybe others find some of them useful too.

BTW: if you need translation help, then I'll can take the German part.

Regards,
Andreas - Sep 10 2009
Hi,

thanks, now it works.
I had to delete ~/.config/ImapQuickCheck/ so that I could add accounts.

Regards,
Andreas - Sep 10 2009
Hi!

Thanks for your reply.

I think I've all required packages installed (on Gentoo):
- dev-python/pysqlite 2.5.5
- x11-libs/qt-sql 4.5.1
- dev-lang/python 2.6.2

Everything emerged using "sqlite" USE flag.

Can I enable some debugging to find missing modules?

Regards,
Andreas - Sep 09 2009
Hi!

I'm trying v1.1. but I can't add accounts.
Every field on the "Accounts settings" tab is disabled/grayed except the "+" sign, but this one has no effect if clicked.

Any idea what's going wrong here?

Regards,
Andreas - Sep 09 2009
QNiX 0.2

KDE 2 Themes 26 comments

by Frank
Score 50.0%
Oct 24 2001
but does anybody know, what's the current homepage and if there are plans for a KDE3 port? - Mar 30 2002
2ManDVD

Utilities
by csgib

Score 73.3%
Oct 06 2010
Score 74.7%
Oct 06 2010
K3b

Utilities
by trueg

Score 83.3%
Oct 06 2010